## org.springframework.beans
Class PropertyValuesEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.beans.PropertyValuesEditor

All Implemented Interfaces:
  PropertyEditor

    public class PropertyValuesEditor

extends PropertyEditorSupport

`Editor` for a `PropertyValues` object.

The required format is defined in the `Properties` documentation. Each property must be on a new line.

The present implementation relies on a `PropertiesEditor` underneath.

Author:
  Rod Johnson, Juergen Hoeller

Constructor Summary
`PropertyValuesEditor()`

Method Summary
`void` `setAsText(String text)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyValuesEditor

    public PropertyValuesEditor()

Method Detail

### setAsText

    public void setAsText(String text)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`